Debian Bug report logs - #660164
RFP: innotop -- monitor MySQL in real time

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Laurent Bigonville <bigon@debian.org>

Date: Wed, 15 Feb 2012 17:39:16 UTC

Severity: wishlist

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian MySQL Maintainers <pkg-mysql-maint@lists.alioth.debian.org>:
Bug#660006; Package mysql-client-5.1. (Wed, 15 Feb 2012 17:39:19 GMT) Full text and rfc822 format available.

Acknowledgement sent to Laurent Bigonville <bigon@debian.org>:
New Bug report received and forwarded. Copy sent to Debian MySQL Maintainers <pkg-mysql-maint@lists.alioth.debian.org>. (Wed, 15 Feb 2012 17:39:19 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Laurent Bigonville <bigon@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: mysql-client-5.1: Please update innotop to last version
Date: Wed, 15 Feb 2012 18:25:59 +0100
Package: mysql-client-5.1
Version: 5.1.58-1
Severity: wishlist

Hi,

The embeded innotop seems to be currently at version 1.7.1.

Version 1.8.0 seems to be out for quite sometime now:

2010-11-06: version 1.8.0

   Changes:
   * Don't re-fetch SHOW VARIABLES every iteration; it's too slow on many hosts.
   * Add a filter to remove EVENT threads in SHOW PROCESSLIST (issue 32).
   * Add a timestamp to output in -n mode, when -t is specified (issue 37).
   * Add a new U mode, for Percona/MariaDB USER_STATISTICS (issue 39).
   * Add support for millisecond query time in Percona Server (issue 39).
   * Display a summary of queries executed in Query List mode (issue 26).

   Bugs fixed:
   * Made config-file reading more robust (issue 41).
   * Hostname parsing wasn't standards compliant (issue 30).
   * MKDEBUG didn't work on some Perl versions (issue 22).
   * Don't try to get InnoDB status if have_innodb != YES (issue 33).
   * Status text from the InnoDB plugin wasn't parsed correctly (issue 36).
   * Transaction ID from InnoDB plugin wasn't subtracted correctly (issue 38).
   * Switching modes and pressing ? for help caused a crash (issue 40).

2009-09-06: version 1.7.2

   Changes:
   * add support for --socket

   Bugs fixed:
   * remove cxn from $meta->{group_by} if there's only one connection displayed
   * fix for issue 19 - cxn column won't become visible when viewing two 
     connections after having viewed one connection
   * supress errors resulting from the addition of a 'BACKGROUND THREAD' 
     section in the output of 'show innodb status' 
   * possible fix for issue 22 - Useless use of a constant in void context
   * small change to set_to_tbl() around hiding the cxn column if there 
     aren't two or more connections

Please update to the last version

Cheers,

Laurent Bigonville

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 3.2.0-1-amd64 (SMP w/4 CPU cores)
Locale: LANG=fr_BE.utf8, LC_CTYPE=fr_BE.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages mysql-client-5.1 depends on:
ii  debianutils        4.2.1
ii  libc6              2.13-26
ii  libdbd-mysql-perl  4.020-1+b1
ii  libdbi-perl        1.616-1+b2
ii  libgcc1            1:4.6.2-14
ii  libmysqlclient16   5.1.58-1
ii  libncurses5        5.9-4
ii  libreadline6       6.2-8
ii  libstdc++6         4.6.2-14
ii  libwrap0           7.6.q-22
ii  mysql-common       5.1.58-1
ii  perl               5.14.2-7
ii  zlib1g             1:1.2.6.dfsg-1

mysql-client-5.1 recommends no packages.

Versions of packages mysql-client-5.1 suggests:
pn  libterm-readkey-perl  <none>

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian MySQL Maintainers <pkg-mysql-maint@lists.alioth.debian.org>:
Bug#660006; Package mysql-client-5.1. (Thu, 16 Feb 2012 08:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nicholas Bamber <nicholas@periapt.co.uk>:
Extra info received and forwarded to list. Copy sent to Debian MySQL Maintainers <pkg-mysql-maint@lists.alioth.debian.org>. (Thu, 16 Feb 2012 08:39:03 GMT) Full text and rfc822 format available.

Message #10 received at 660006@bugs.debian.org (full text, mbox):

From: Nicholas Bamber <nicholas@periapt.co.uk>
To: 660006@bugs.debian.org
Subject: Re: [debian-mysql] Bug#660006: mysql-client-5.1: Please update innotop to last version
Date: Thu, 16 Feb 2012 08:45:48 +0000
I am looking to start getting involved in Debian mysql. Providing a
patch to the current source package to seperate out this package with
the usual breaks/replaces clauses would seem like a reasonable first
contribution.




On 16/02/12 07:36, Bjoern Boschman wrote:
> Hi,
> 
> On 15.02.2012 23:39, Clint Byrum wrote:
>> Maybe somebody else on the team can explain why innotop is embedded
>> in our packaging instead of being managed as its own package. ??
> 
> I can absolutely not explain why it's part of mysql-client.
> 
> For sure it makes sense to maintain such a package via pkg-mysql, but
> if that answers your question: it should be a seperate package?!
> 
> 
> B

_______________________________________________
pkg-mysql-maint mailing list
pkg-mysql-maint@lists.alioth.debian.org
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-mysql-maint


-- 
Nicholas Bamber | http://www.periapt.co.uk/
PGP key 3BFFE73C from pgp.mit.edu

_______________________________________________
pkg-mysql-maint mailing list
pkg-mysql-maint@lists.alioth.debian.org
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-mysql-maint




Bug 660006 cloned as bug 660087. Request was from Laurent Bigonville <bigon@debian.org> to control@bugs.debian.org. (Thu, 16 Feb 2012 10:24:16 GMT) Full text and rfc822 format available.

Bug reassigned from package 'mysql-client-5.1' to 'mysql-client-5.5'. Request was from Laurent Bigonville <bigon@debian.org> to control@bugs.debian.org. (Thu, 16 Feb 2012 10:24:19 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions mysql-5.1/5.1.58-1. Request was from Laurent Bigonville <bigon@debian.org> to control@bugs.debian.org. (Thu, 16 Feb 2012 10:24:19 GMT) Full text and rfc822 format available.

Bug Marked as found in versions mysql-5.5/5.5.17-4. Request was from Laurent Bigonville <bigon@debian.org> to control@bugs.debian.org. (Thu, 16 Feb 2012 10:24:20 GMT) Full text and rfc822 format available.

Changed Bug title to 'mysql-client-5.5: Please update innotop to last version' from 'mysql-client-5.1: Please update innotop to last version' Request was from Laurent Bigonville <bigon@debian.org> to control@bugs.debian.org. (Thu, 16 Feb 2012 10:24:21 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian MySQL Maintainers <pkg-mysql-maint@lists.alioth.debian.org>:
Bug#660087; Package mysql-client-5.5. (Thu, 16 Feb 2012 17:39:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nicholas Bamber <nicholas@periapt.co.uk>:
Extra info received and forwarded to list. Copy sent to Debian MySQL Maintainers <pkg-mysql-maint@lists.alioth.debian.org>. (Thu, 16 Feb 2012 17:39:06 GMT) Full text and rfc822 format available.

Message #25 received at 660087@bugs.debian.org (full text, mbox):

From: Nicholas Bamber <nicholas@periapt.co.uk>
To: 660087@bugs.debian.org
Subject: progress
Date: Thu, 16 Feb 2012 17:35:35 +0000
I have prepared an innotop package:

http://mentors.debian.net/package/innotop

I am working on a debdiff for mysql-client-5.5. The innotop package
could go to the Debian Perl Group if people would prefer that.


-- 
Nicholas Bamber | http://www.periapt.co.uk/
PGP key 3BFFE73C from pgp.mit.edu




Bug 660087 cloned as bug 660164. Request was from Nicholas Bamber <nicholas@periapt.co.uk> to control@bugs.debian.org. (Fri, 17 Feb 2012 00:51:01 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITP: innotop - monitor MySQL in real time' from 'mysql-client-5.5: Please update innotop to last version' Request was from Nicholas Bamber <nicholas@periapt.co.uk> to control@bugs.debian.org. (Fri, 17 Feb 2012 00:51:04 GMT) Full text and rfc822 format available.

Bug reassigned from package 'mysql-client-5.5' to 'wnpp'. Request was from Nicholas Bamber <nicholas@periapt.co.uk> to control@bugs.debian.org. (Fri, 17 Feb 2012 00:51:05 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions mysql-5.5/5.5.17-4. Request was from Nicholas Bamber <nicholas@periapt.co.uk> to control@bugs.debian.org. (Fri, 17 Feb 2012 00:51:06 GMT) Full text and rfc822 format available.

Owner recorded as nicholas@periapt.co.uk. Request was from Nicholas Bamber <nicholas@periapt.co.uk> to control@bugs.debian.org. (Fri, 17 Feb 2012 00:51:07 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITP: innotop -- monitor MySQL in real time' from 'ITP: innotop - monitor MySQL in real time' Request was from Raphael Geissert <atomo64@gmail.com> to control@bugs.debian.org. (Thu, 23 Feb 2012 03:15:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, nicholas@periapt.co.uk:
Bug#660164; Package wnpp. (Mon, 23 Jul 2012 14:00:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nicholas Bamber <nicholas@periapt.co.uk>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, nicholas@periapt.co.uk. (Mon, 23 Jul 2012 14:00:05 GMT) Full text and rfc822 format available.

Message #42 received at 660164@bugs.debian.org (full text, mbox):

From: Nicholas Bamber <nicholas@periapt.co.uk>
To: 660087@bugs.debian.org, 660164@bugs.debian.org
Subject: checked in git
Date: Mon, 23 Jul 2012 14:56:31 +0100
tag 660087 +pending
tag 660164 +pending
thanks

This is checked in the new git repository:
http://anonscm.debian.org/gitweb/?p=pkg-mysql/packages/mysql.git;a=summary.

and

http://anonscm.debian.org/gitweb/?p=pkg-mysql/packages/innotop.git;a=summary.



Added tag(s) pending. Request was from Nicholas Bamber <nicholas@periapt.co.uk> to control@bugs.debian.org. (Mon, 23 Jul 2012 14:00:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, nicholas@periapt.co.uk:
Bug#660164; Package wnpp. (Sat, 17 Aug 2013 07:09:31 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, nicholas@periapt.co.uk. (Sat, 17 Aug 2013 07:09:31 GMT) Full text and rfc822 format available.

Message #49 received at 660164@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 660164@bugs.debian.org
Cc: control@bugs.debian.org
Subject: innotop: changing back from ITP to RFP
Date: Sat, 17 Aug 2013 09:06:08 +0200
retitle 660164 RFP: innotop -- monitor MySQL in real time
noowner 660164
tag 660164 - pending
thanks

Hi,

A long time ago, you expressed interest in packaging innotop. Unfortunately,
it seems that it did not happen. In Debian, we try not to keep ITP bugs open
for a too long time, as it might cause other prospective maintainers to
refrain from packaging the software.

This is an automatic email to change the status of innotop back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 12 months.

If you are still interested in packaging innotop, please send a mail to
<control@bugs.debian.org> with:

 retitle 660164 ITP: innotop -- monitor MySQL in real time
 owner 660164 !
 thanks

It is also a good idea to document your progress on this ITP from time to
time, by mailing <660164@bugs.debian.org>.  If you need guidance on how to
package this software, please reply to this email, and/or contact the
debian-mentors@lists.debian.org mailing list.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>



Changed Bug title to 'RFP: innotop -- monitor MySQL in real time' from 'ITP: innotop -- monitor MySQL in real time' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Sat, 17 Aug 2013 07:12:59 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by nicholas@periapt.co.uk. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Sat, 17 Aug 2013 07:12:59 GMT) Full text and rfc822 format available.

Removed tag(s) pending. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Sat, 17 Aug 2013 07:13:00 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 09:34:16 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.